# setNetworkQosParam method Null safety

Future<void> setNetworkQosParam(

1. TRTCNetworkQosParam param

)

Set QoS parameters

These settings determine the bandwidth limit practices of the SDK in various network conditions (e.g., whether to "ensure definition" or "ensure smoothness" on a weak network)

Parameters:

param: QoS parameters. For more information, please see the definition of `TRTCNetworkQosParam` in `trtc_cloud.def.dart`

## Implementation

    Future<void> setNetworkQosParam(TRTCNetworkQosParam param) {
      return _channel
          .invokeMethod('setNetworkQosParam', {"param": jsonEncode(param)});
    }